# (c) Dominik Schmidt
# spec file for package qtweetlib

%define _libname libQTweetLib
%define soname 1_0

BuildRequires:  cmake gcc-c++ libqt4-devel

%if 0%{?suse_version}
BuildRequires: libqjson-devel
%endif

%if 0%{?fedora}
BuildRequires: qjson-devel
%endif

Name:           qtweetlib
License:        GPLv2
Version:        0.5
Release:        1.2
Source0:        QTweetLib-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            https://github.com/dschmidt/QTweetLib

# main package
Summary:        C++ Qt based Twitter library
Group:          System/Libraries

%description
C++ Qt based Twitter library.

# bin package
%package -n %{_libname}%{soname}
Group:          System/Libraries
Summary:        C++ Qt based Twitter library


%description  -n libQTweetLib%{soname}
C++ Qt based Twitter library.

# devel package
%package devel
Group:          Development/Libraries/C and C++
Summary:        C++ Qt based Twitter library
Requires:       libQTweetLib%{soname} = %{version}

%description devel
C++ Qt based Twitter library.


# debug package
%package debug
Group:          Development/Libraries/C and C++
Summary:        C++ Qt based Twitter library
Requires:       libQTweetLib%{soname} = %{version}

%description debug
C++ Qt based Twitter library.

%prep
%setup -q -n QTweetLib-%{version}

%build
export CXXFLAGS="%{optflags}"
export CFLAGS="%{optflags}"
EXTRA_FLAGS=""
if [ %_lib = lib64 ]; then
  EXTRA_FLAGS="$EXTRA_FLAGS -DLIB_SUFFIX=64"
fi

cmake . -DCMAKE_CXXFLAGS="%{optflags}" -DCMAKE_CFLAGS="%{optflags}" -DCMAKE_INSTALL_PREFIX=/usr $EXTRA_FLAGS
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf %{buildroot}

%post -n libQTweetLib%{soname} -p /sbin/ldconfig

%postun -n libQTweetLib%{soname} -p /sbin/ldconfig

%files -n libQTweetLib%{soname}
%defattr(-,root,root,-)
%{_libdir}/libQTweetLib.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libQTweetLib.so
%{_includedir}/QTweetLib/
%changelog
* Mon Nov  7 2011 dev@dominik-schmidt.de
- Update to 0.3.0 stable release
